Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(17)

Issue 2685573003: Be less pessimistic about turning "default" receive streams into signaled streams. (Closed)

Can't Edit
Can't Publish+Mail
Start Review
Created:
4 months, 2 weeks ago by the sun
Modified:
4 months ago
CC:
webrtc-reviews_webrtc.org, tterriberry_mozilla.com, the sun
Target Ref:
refs/heads/master
Project:
webrtc
Visibility:
Public.

Description

Be less pessimistic about turning "default" receive streams into signaled streams. BUG=webrtc:7179 , b/34746131 Review-Url: https://codereview.webrtc.org/2685573003 Cr-Commit-Position: refs/heads/master@{#16673} Committed: https://chromium.googlesource.com/external/webrtc/+/4904fb6f462e08da5b8ad7492781929fa5c0780c

Patch Set 1 #

Total comments: 1

Patch Set 2 : added tests + maybe recreate streams #

Patch Set 3 : fix #

Patch Set 4 : improved prose #

Total comments: 7

Patch Set 5 : rebase #

Unified diffs Side-by-side diffs Delta from patch set Stats (+74 lines, -10 lines) Patch
M webrtc/media/engine/fakewebrtccall.h View 1 2 5 chunks +8 lines, -2 lines 0 comments Download
M webrtc/media/engine/fakewebrtccall.cc View 1 4 chunks +8 lines, -5 lines 0 comments Download
M webrtc/media/engine/webrtcvoiceengine.cc View 1 2 chunks +14 lines, -3 lines 0 comments Download
M webrtc/media/engine/webrtcvoiceengine_unittest.cc View 1 2 3 1 chunk +44 lines, -0 lines 0 comments Download
Commit queue not available (can’t edit this change).

Messages

Total messages: 30 (16 generated)
the sun
4 months, 2 weeks ago (2017-02-08 10:29:59 UTC) #2
the sun
4 months, 2 weeks ago (2017-02-08 10:30:05 UTC) #3
ossu
Oh, so we would forcibly recreate streams when going from "default stream" state to a ...
4 months, 1 week ago (2017-02-08 14:32:43 UTC) #7
Taylor Brandstetter
https://codereview.webrtc.org/2685573003/diff/1/webrtc/media/engine/webrtcvoiceengine.cc File webrtc/media/engine/webrtcvoiceengine.cc (right): https://codereview.webrtc.org/2685573003/diff/1/webrtc/media/engine/webrtcvoiceengine.cc#newcode2278 webrtc/media/engine/webrtcvoiceengine.cc:2278: default_recv_ssrc_ = -1; If you do this, does the ...
4 months, 1 week ago (2017-02-08 17:49:33 UTC) #9
Taylor Brandstetter
Also, it would be nice to have a bug for this in the public bug ...
4 months, 1 week ago (2017-02-08 17:52:09 UTC) #10
the sun
PTAL
4 months ago (2017-02-17 13:08:02 UTC) #11
Taylor Brandstetter
lgtm, though not an owner https://codereview.webrtc.org/2685573003/diff/60001/webrtc/media/engine/webrtcvoiceengine_unittest.cc File webrtc/media/engine/webrtcvoiceengine_unittest.cc (right): https://codereview.webrtc.org/2685573003/diff/60001/webrtc/media/engine/webrtcvoiceengine_unittest.cc#newcode2820 webrtc/media/engine/webrtcvoiceengine_unittest.cc:2820: TEST_F(WebRtcVoiceEngineTestFake, AddRecvStreamAfterUnsignaled_NoRecreate) { nit: ...
4 months ago (2017-02-17 16:24:51 UTC) #17
ossu
I'll lgtm you again because it's Friday. :) Looks good! https://codereview.webrtc.org/2685573003/diff/60001/webrtc/media/engine/webrtcvoiceengine_unittest.cc File webrtc/media/engine/webrtcvoiceengine_unittest.cc (right): https://codereview.webrtc.org/2685573003/diff/60001/webrtc/media/engine/webrtcvoiceengine_unittest.cc#newcode2820 ...
4 months ago (2017-02-17 17:05:10 UTC) #18
the sun
https://codereview.webrtc.org/2685573003/diff/60001/webrtc/media/engine/webrtcvoiceengine_unittest.cc File webrtc/media/engine/webrtcvoiceengine_unittest.cc (right): https://codereview.webrtc.org/2685573003/diff/60001/webrtc/media/engine/webrtcvoiceengine_unittest.cc#newcode2820 webrtc/media/engine/webrtcvoiceengine_unittest.cc:2820: TEST_F(WebRtcVoiceEngineTestFake, AddRecvStreamAfterUnsignaled_NoRecreate) { On 2017/02/17 17:05:10, ossu wrote: > ...
4 months ago (2017-02-17 17:19:09 UTC) #19
Taylor Brandstetter
https://codereview.webrtc.org/2685573003/diff/60001/webrtc/media/engine/webrtcvoiceengine_unittest.cc File webrtc/media/engine/webrtcvoiceengine_unittest.cc (right): https://codereview.webrtc.org/2685573003/diff/60001/webrtc/media/engine/webrtcvoiceengine_unittest.cc#newcode2820 webrtc/media/engine/webrtcvoiceengine_unittest.cc:2820: TEST_F(WebRtcVoiceEngineTestFake, AddRecvStreamAfterUnsignaled_NoRecreate) { On 2017/02/17 17:19:09, the sun wrote: ...
4 months ago (2017-02-17 17:53:44 UTC) #20
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.webrtc.org/2685573003/80001
4 months ago (2017-02-17 18:30:31 UTC) #23
commit-bot: I haz the power
Try jobs failed on following builders: win_baremetal on master.tryserver.webrtc (JOB_FAILED, http://build.chromium.org/p/tryserver.webrtc/builders/win_baremetal/builds/18771)
4 months ago (2017-02-17 19:09:22 UTC) #25
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.webrtc.org/2685573003/80001
4 months ago (2017-02-17 19:44:39 UTC) #27
commit-bot: I haz the power
4 months ago (2017-02-17 20:01:23 UTC) #30
Message was sent while issue was closed.
Committed patchset #5 (id:80001) as
https://chromium.googlesource.com/external/webrtc/+/4904fb6f462e08da5b8ad7492...
Sign in to reply to this message.

Powered by Google App Engine
RSS Feeds Recent Issues | This issue
This is Rietveld cb946e318